%global enable_tests 1

%global barename co

%global commit0 b54d18f8f472ad1314800e786993c4169a5ff9f8
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:               nodejs-co
Epoch:              1
Version:            4.6.0
Release:            3%{?dist}
Summary:            Generator async flow control goodness

License:            MIT
URL:                https://www.npmjs.org/package/co
Source0:            https://github.com/tj/%{barename}/archive/%{commit0}.tar.gz#/%{barename}-%{shortcommit0}.tar.gz
BuildArch:          noarch

ExclusiveArch:      %{nodejs_arches} noarch

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
BuildRequires:      npm(mz)
%endif

%description
Generator based flow-control goodness for nodejs and the browser, using
thunks _or_ promises, letting you write non-blocking code in a nice-ish
way.

%prep
%autosetup -n %{barename}-%{commit0}

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/co
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/co

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --harmony
%endif


%files
%doc Readme.md
%license LICENSE
%{nodejs_sitelib}/co/

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug 10 2016 Piotr Popieluch <piotr1212@gmail.com> - - 1:4.6.0-1
- update to 4.6

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 19 2015 Piotr Popieluch <piotr1212@gmail.com> - 1:3.1.0-1
- Downgrade to 3.1.0, 4.x needs node 0.12 which is not in Fedora

* Sat Jul 25 2015 Parag Nemade <pnemade AT fedoraproject DOT org> - 4.5.1-3
- fixdep npm(engine)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 Ralph Bean <rbean@redhat.com> - 4.5.1-1
- new version

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 4.4.0-2
- Apply fixdep on npm(engine).

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 4.4.0-1
- new version

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 3.0.6-1
- Initial packaging for Fedora.
